// Datei UebAnzahlBlanks_ALRJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion AnzahlBlanks_ALR in der Klasse UebAnzahlBlanks_ALR
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse
import java.util.ArrayList;
import java.util.Arrays;

public class UebAnzahlBlanks_ALRJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebAnzahlBlanks_ALRJut.class);
   } // suite
   // ---------------------------------------------------------------------
                                            // Blanks
   String[] r11 = {"a b c", " a "};         //   4
   String[] r12 = {"abc", " ", " a b "};    //   4
   String[] r13 = {"ab"};                   //   0

   String[] r21 = {" a b ", "a b"};         //   4
   String[] r22 = {"   ", "a", "abcde"};    //   3
   String[] r23 = {"  "};                   //   2

   String[] r31 = {" a b ", "a b"};         //   4
   String[] r32 = {};                       //   0

   String[] r41 = {};                       //   0
   String[] r42 = {};                       //   0
   String[] r43 = {};                       //   0

   ArrayList<String> al11 = new ArrayList<String>(Arrays.asList(r11));
   ArrayList<String> al12 = new ArrayList<String>(Arrays.asList(r12));
   ArrayList<String> al13 = new ArrayList<String>(Arrays.asList(r13));

   ArrayList<String> al21 = new ArrayList<String>(Arrays.asList(r21));
   ArrayList<String> al22 = new ArrayList<String>(Arrays.asList(r22));
   ArrayList<String> al23 = new ArrayList<String>(Arrays.asList(r23));

   ArrayList<String> al31 = new ArrayList<String>(Arrays.asList(r31));
   ArrayList<String> al32 = new ArrayList<String>(Arrays.asList(r32));

   ArrayList<String> al41 = new ArrayList<String>(Arrays.asList(r41));
   ArrayList<String> al42 = new ArrayList<String>(Arrays.asList(r42));
   ArrayList<String> al43 = new ArrayList<String>(Arrays.asList(r43));

   //                                     Blanks
   ArrayList[] ral1 = {al11, al12, al13}; // 4 + 4 + 0 = 8
   ArrayList[] ral2 = {al21, al22, al23}; // 4 + 3 + 2 = 9
   ArrayList[] ral3 = {al31, al32};       // 4 + 0     = 4
   ArrayList[] ral4 = {al41, al42, al43}; // 0 + 0 + 0 = 0
   ArrayList[] ral5 = {};                 // 0
   // ---------------------------------------------------------------------
   public void test01() {
      assertEquals(8, UebAnzahlBlanks_ALR.AnzahlBlanks_ALR(ral1));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      assertEquals(9, UebAnzahlBlanks_ALR.AnzahlBlanks_ALR(ral2));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      assertEquals(4, UebAnzahlBlanks_ALR.AnzahlBlanks_ALR(ral3));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      assertEquals(0, UebAnzahlBlanks_ALR.AnzahlBlanks_ALR(ral4));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      assertEquals(0, UebAnzahlBlanks_ALR.AnzahlBlanks_ALR(ral5));
   } // test05
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebAnzahlBlanks_ALRJut.class);
   } // main
   // ---------------------------------------------------------------------
}
