// Datei UebAnzahlBlanks_R2Jut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion AnzahlBlanks_R2 in der Klasse UebAnzahlBlanks_R2
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebAnzahlBlanks_R2Jut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebAnzahlBlanks_R2Jut.class);
   } // suite
   // ---------------------------------------------------------------------
   //                                                                Blanks
   String[][] r21 = {{"a b c", " a "}, {"abc", " ", " a b "}, {"ab"}}; // 8
   String[][] r22 = {{" a b ", "a b"}, {"   ", "a", "abcde"}, {"  "}}; // 9
   String[][] r23 = {{" a b ", "a b"}, {}};                            // 4
   String[][] r24 = {{}, {}, {}};                                      // 0
   String[][] r25 = {};                                                // 0
   // ---------------------------------------------------------------------
   public void test01() {
      assertEquals(8, UebAnzahlBlanks_R2.AnzahlBlanks_R2(r21));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      assertEquals(9, UebAnzahlBlanks_R2.AnzahlBlanks_R2(r22));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      assertEquals(4, UebAnzahlBlanks_R2.AnzahlBlanks_R2(r23));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      assertEquals(0, UebAnzahlBlanks_R2.AnzahlBlanks_R2(r24));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      assertEquals(0, UebAnzahlBlanks_R2.AnzahlBlanks_R2(r25));
   } // test05
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebAnzahlBlanks_R2Jut.class);
   } // main
   // ---------------------------------------------------------------------
}
