// Datei UebAnzahlVerschiedeneStringALJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion AnzahlVerschiedeneStringAL in
der Klasse UebAnzahlVerschiedeneStringAL
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse
import java.util.ArrayList;
import java.util.Arrays;

public class UebAnzahlVerschiedeneStringALJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebAnzahlVerschiedeneStringALJut.class);
   } // suite
   // ---------------------------------------------------------------------
   String a0 = new String(""),    b0 = new String("");
   String a1 = new String("ab"),  b1 = new String("ab");
   String a2 = new String("bcd"), b2 = new String("bcd");
   String a3 = new String("c"),   b3 = new String("c");
   String a4 = new String("def"), b4 = new String("def");
   String a5 = new String("XX"),  b5 = new String("XX");
   // ---------------------------------------------------------------------
   public void test01() {
      String[] r = {a1, a2, a3, b2, b1};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals(3, UebAnzahlVerschiedeneStringAL.AnzahlVerschiedeneStringAL(al));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      String[] r = {a5};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals(1, UebAnzahlVerschiedeneStringAL.AnzahlVerschiedeneStringAL(al));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      String[] r = {};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals(0, UebAnzahlVerschiedeneStringAL.AnzahlVerschiedeneStringAL(al));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      String[] r = {a1, b1, a2, b2, a2, a3, b3, a3, b3};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals(3, UebAnzahlVerschiedeneStringAL.AnzahlVerschiedeneStringAL(al));
   } // test04
   // ---------------------------------------------------------------------
   public void test0s5() {
      String[] r = {a1, a2, a3, a4, a5};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals(5, UebAnzahlVerschiedeneStringAL.AnzahlVerschiedeneStringAL(al));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      String[] r = {a1, a0, b1, a0, a1, b0};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals(2, UebAnzahlVerschiedeneStringAL.AnzahlVerschiedeneStringAL(al));
   } // test06
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebAnzahlVerschiedeneStringALJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebAnzahlVerschiedeneStringALJut