// Datei UebEnthaeltDoppelteIntRJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion EnthaeltDoppelteIntR in der Klasse UebEnthaeltDoppelteIntR
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebEnthaeltDoppelteIntRJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebEnthaeltDoppelteIntRJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      int[] r = {1, 2, 3, 4, 5};
      assertFalse(UebEnthaeltDoppelteIntR.EnthaeltDoppelteIntR(r));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      int[] r = {5};
      assertFalse(UebEnthaeltDoppelteIntR.EnthaeltDoppelteIntR(r));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      int[] r = {};
      assertFalse(UebEnthaeltDoppelteIntR.EnthaeltDoppelteIntR(r));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      int[] r = {5, 1, 2, 3, 4, 5};
      assertTrue(UebEnthaeltDoppelteIntR.EnthaeltDoppelteIntR(r));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      int[] r = {1, 2, 5, 3, 4, 5};
      assertTrue(UebEnthaeltDoppelteIntR.EnthaeltDoppelteIntR(r));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      int[] r = {1, 2, 3, 4, 5, 5};
      assertTrue(UebEnthaeltDoppelteIntR.EnthaeltDoppelteIntR(r));
   } // test06
   // ---------------------------------------------------------------------
   public void test07() {
      int[] r = {0, 1, -2, 5, -3, 4, 5};
      assertTrue(UebEnthaeltDoppelteIntR.EnthaeltDoppelteIntR(r));
   } // test07
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebEnthaeltDoppelteIntRJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebEnthaeltDoppelteIntRJut
