// Datei UebKopiereFlachR.java
/* ------------------------------------------------------------------------
Eine Klasse, die eine einzige Klassenmethode (genauer: eine Funktion)
enthaelt.
------------------------------------------------------------------------ */
public class UebKopiereFlachR {
   // ---------------------------------------------------------------------
   static public StringBuilder[] KopiereFlachR(StringBuilder[] orig) {// **
      // Liefert eine flache Kopie von orig, d.h. eine Reihung, die selbst
      // nicht identisch ist mit der Reihung orig, aber dieselben Kompo-
      // nenten (in der selben Reihenfolge) enthaelt wie orig (keine Kopien
      // der Komponenten).

      // Bojen-Darstellung einer flachen Kopie kopi von orig (wobei orig
      // drei StringBuilder-Objekte mit den Inhalten "Hallo", "Wie geht's?"
      // und "Gut!" enthaelt):
      //
      // |orig|--<123>--[  <AAA>,        <BBB>,       <CCC> ]
      //                     |             |            |
      //                 ["Hallo"]  ["Wie geht's?"]  ["Gut!"]
      //                     |             |            |
      // |kopi|--<456>--[  <AAA>,        <BBB>,       <CCC> ]

      return null;
   } // KopiereFlachR
   // ---------------------------------------------------------------------
} // class UebKopiereFlachR
