// Datei UebLongNachBerZahlString.java
/* ------------------------------------------------------------------------
Eine Klasse, die eine einzige Klassenmethode (genauer: eine Funktion)
enthaelt.
------------------------------------------------------------------------ */
public class UebLongNachBerZahlString {
   // ---------------------------------------------------------------------
   static public String LongNachBerZahlString(long zahl, short B) {  // ***
      // Wandelt die zahl in das Zahlensystem mit der Basis B um und
      // liefert diese B-er-Zahl als String.
      //
      // In den folgenden Faellen wird ein leerer String "" als
      // Ergebnis geliefert:
      //   Wenn die zahl negativ (kleiner als 0) ist.
      //   Wenn die Basis B kleiner als 2 oder groesser als 36 ist.
      //
      // Der Ergebnisstring enthaelt kein Vorzeichen oder sonstige
      // Verzierungen, nur die ersten B (z.B. die ersten 5, wenn B
      // gleich 5 ist) der folgenden Zeichen:
      // 0  1  2  ...  8  9  A  B  C  ...  Y  Z
      //
      // Beispiele:
      //
      // short B01 =  1; // Eine zu kleine Basis
      // short B02 =  2; // Die kleinste zulaessige Basis
      // short B05 =  5;
      // short B10 = 10;
      // short B16 = 16;
      // short B36 = 36; // Die groesste zulaessige Basis
      // short B37 = 37; // Eine zu grosse Basis
      //
      // LongNachBerZahlString(  2, B02) ist gleich "10";
      // LongNachBerZahlString(  3, B02) ist gleich "11";
      // LongNachBerZahlString(  5, B02) ist gleich "101";
      // LongNachBerZahlString( 13, B02) ist gleich "1101";
      // LongNachBerZahlString(  5, B05) ist gleich "10"
      // LongNachBerZahlString(  0, B05) ist gleich "0"
      // LongNachBerZahlString(  5, B05) ist gleich "10"
      // LongNachBerZahlString( 56, B05) ist gleich "321"
      // LongNachBerZahlString( 10, B10) ist gleich "10"
      // LongNachBerZahlString( 35, B10) ist gleich "35"
      // LongNachBerZahlString( 99, B10) ist gleich "99"
      // LongNachBerZahlString(321, B10) ist gleich "321"
      // LongNachBerZahlString( 16, B16) ist gleich "10"
      // LongNachBerZahlString(160, B16) ist gleich "A0"
      // LongNachBerZahlString(175, B16) ist gleich "AF"
      // LongNachBerZahlString( 35, B36) ist gleich "Z"
      // LongNachBerZahlString( 36, B36) ist gleich "10"
      //
      // LongNachBerZahlString( 12, B01) ist gleich "" (Basis zu klein)
      // LongNachBerZahlString( 12, B37) ist gleich "" (Basis zu gross)
      // LongNachBerZahlString(-12, B10) ist gleich "" (zahl ist negativ)

      return "Fehler";
   } // LongNachBerZahlString
   // ---------------------------------------------------------------------
} // class UebLongNachBerZahlString
