// Datei UebMinALJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion MinAL in der Klasse UebMinAL
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse
import java.util.ArrayList;
import java.util.Arrays;

public class UebMinALJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebMinALJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      String[] r = {"AA", "BBB", "CCCC"};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals("AA", UebMinAL.MinAL(al));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      String[] r = {"CCCC", "AAAAA", "BBB"};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals("AAAAA", UebMinAL.MinAL(al));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      String[] r = {"CC", "BB", "AA"};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals("AA", UebMinAL.MinAL(al));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      String[] r = {"AAA", "AAA", "AAA"};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertEquals("AAA", UebMinAL.MinAL(al));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      ArrayList<String> al = new ArrayList<String>();
      assertEquals("", UebMinAL.MinAL(al));
   } // test05
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebMinALJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebMinALJut
