// Datei UebQuersummeB.java
/* ------------------------------------------------------------------------
Eine Klasse, die eine einzige Klassenmethode (genauer: eine Funktion)
enthaelt.
------------------------------------------------------------------------ */
public class UebQuersummeB {
   // ---------------------------------------------------------------------
   static public int QuersummeB(int zahl, short B) {                 // **
      // Welche Quersumme hat die zahl als B-er-Zahl (d.h. wenn man sie
      // im Zahlensystem mit der Basis B darstellt)? Diese Funktion liefert
      // die Antwort.
      // Falls die zahl negativ ist, wird die Quersumme von -zahl als
      // Ergebnis geliefert.
      // Falls die Basis B nicht im Bereich 2 bis Short.MAX_VALUE liegt,
      // wird -1 als Ergebnis geliefert.

      // Beispiele:
      // short b01  =  1;              // Eine zu kleine Basis
      // short b02  =  2;              // Die kleinste zulaessige Basis
      // short b05  =  5;
      // short b10  = 10;
      // short b16  = 16;
      // short bmax = Short.MAX_VALUE; // Die groesste zulaessige Basis
      //
      // Quersumme(16  ,      b02 ) ist gleich   1
      // Quersumme(16  ,      b05 ) ist gleich   4
      // Quersumme(16  ,      b10 ) ist gleich   7
      // Quersumme(16  ,      b16 ) ist gleich   1
      // Quersumme(16  ,      bmax) ist gleich  16
      //
      // Quersumme(b02 ,      b02 ) ist gleich   1
      // Quersumme(b05 ,      b05 ) ist gleich   1
      // Quersumme(b10 ,      b10 ) ist gleich   1
      // Quersumme(b16 ,      b16 ) ist gleich   1
      // Quersumme(bmax,      bmax) ist gleich   1
      //
      // Quersumme(255 ,      b02 ) ist gleich   8
      // Quersumme( 86 ,      b05 ) ist gleich   6
      // Quersumme(123 ,      b10 ) ist gleich   6
      // Quersumme(170 ,      b16 ) ist gleich   20
      // Quersumme(bmax*bmax, bmax) ist gleich   2*bmax

      return -123;
   } // QuersummeB
   // ---------------------------------------------------------------------
} // class UebQuersummeB
