// Datei UebStatt1A1B_RJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion Statt1A1B_R in der Klasse UebStatt1A1B_R
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse
import java.util.Arrays;

public class UebStatt1A1B_RJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebStatt1A1B_RJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      char[] orig = {'X', 'A', 'X', 'A', 'X', 'A'};
      char[] soll = {'X', 'B', 'X', 'B', 'X', 'B'};
      char[] ist  = UebStatt1A1B_R.Statt1A1B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      char[] orig = {'A', 'X', 'X', 'A', 'X'};
      char[] soll = {'B', 'X', 'X', 'B', 'X'};
      char[] ist  = UebStatt1A1B_R.Statt1A1B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      char[] orig = {'A', 'A', 'A', 'A', 'A'};
      char[] soll = {'B', 'B', 'B', 'B', 'B'};
      char[] ist  = UebStatt1A1B_R.Statt1A1B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      char[] orig = {'X', 'X', 'X', 'X', 'X'};
      char[] soll = {'X', 'X', 'X', 'X', 'X'};
      char[] ist  = UebStatt1A1B_R.Statt1A1B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      char[] orig = {'A'};
      char[] soll = {'B'};
      char[] ist  = UebStatt1A1B_R.Statt1A1B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      char[] orig = {'X'};
      char[] soll = {'X'};
      char[] ist  = UebStatt1A1B_R.Statt1A1B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test06
   // ---------------------------------------------------------------------
   public void test07() {
      char[] orig = {};
      char[] soll = {};
      char[] ist  = UebStatt1A1B_R.Statt1A1B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test07
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebStatt1A1B_RJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebStatt1A1B_RJut
