// Datei UebAnzahl1erBitsJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion Anzahl1erBits in der Klasse UebAnzahl1erBits
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebAnzahl1erBitsJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebAnzahl1erBitsJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      assertEquals( 0, UebAnzahl1erBits.Anzahl1erBits(0x00000000));
      assertEquals(32, UebAnzahl1erBits.Anzahl1erBits(0xFFFFFFFF));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00000001));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00000010));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00000100));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00001000));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00010000));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00100000));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x01000000));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x10000000));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00000008));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00000080));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00000800));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00008000));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00080000));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x00800000));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x08000000));
      assertEquals( 1, UebAnzahl1erBits.Anzahl1erBits(0x80000000));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      assertEquals( 8, UebAnzahl1erBits.Anzahl1erBits(0x11111111));
      assertEquals( 8, UebAnzahl1erBits.Anzahl1erBits(0x22222222));
      assertEquals( 8, UebAnzahl1erBits.Anzahl1erBits(0x44444444));
      assertEquals( 8, UebAnzahl1erBits.Anzahl1erBits(0x88888888));
      assertEquals(16, UebAnzahl1erBits.Anzahl1erBits(0xAAAAAAAA));
      assertEquals(24, UebAnzahl1erBits.Anzahl1erBits(0xBBBBBBBB));
      assertEquals(20, UebAnzahl1erBits.Anzahl1erBits(0xFEDCBA98));
      assertEquals(12, UebAnzahl1erBits.Anzahl1erBits(0x76543210));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {

   } // test05
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebAnzahl1erBitsJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebAnzahl1erBitsJut
