// Datei UebEnthaeltDoppelteIntALJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion EnthaeltDoppelteIntAL in der Klasse UebEnthaeltDoppelteIntAL
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse
import java.util.ArrayList;
import java.util.Arrays;

public class UebEnthaeltDoppelteIntALJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebEnthaeltDoppelteIntALJut.class);
   } // suite
   // ---------------------------------------------------------------------
   Integer a0 = new Integer(0), b0 = new Integer(0);
   Integer a1 = new Integer(1), b1 = new Integer(1);
   Integer a2 = new Integer(2), b2 = new Integer(2);
   Integer a3 = new Integer(3), b3 = new Integer(3);
   Integer a4 = new Integer(4), b4 = new Integer(4);
   Integer a5 = new Integer(5), b5 = new Integer(5);
   // ---------------------------------------------------------------------
   public void test01() {
      Integer[] r = {a1, a2, a3, a4, a5};
      ArrayList<Integer> al = new ArrayList<Integer>(Arrays.asList(r));
      assertFalse(UebEnthaeltDoppelteIntAL.EnthaeltDoppelteIntAL(al));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      Integer[] r = {a5};
      ArrayList<Integer> al = new ArrayList<Integer>(Arrays.asList(r));
      assertFalse(UebEnthaeltDoppelteIntAL.EnthaeltDoppelteIntAL(al));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      Integer[] r = {};
      ArrayList<Integer> al = new ArrayList<Integer>(Arrays.asList(r));
      assertFalse(UebEnthaeltDoppelteIntAL.EnthaeltDoppelteIntAL(al));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      Integer[] r = {b5, a1, a2, a3, a4, b5};
      ArrayList<Integer> al = new ArrayList<Integer>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteIntAL.EnthaeltDoppelteIntAL(al));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      Integer[] r = {a1, a2, b5, a3, a4, b5};
      ArrayList<Integer> al = new ArrayList<Integer>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteIntAL.EnthaeltDoppelteIntAL(al));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      Integer[] r = {a1, a2, a3, a4, b5, b5};
      ArrayList<Integer> al = new ArrayList<Integer>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteIntAL.EnthaeltDoppelteIntAL(al));
   } // test06
   // ---------------------------------------------------------------------
   public void test07() {
      Integer[] r = {a0, a1, a2, b5, a3, a4, b5};
      ArrayList<Integer> al = new ArrayList<Integer>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteIntAL.EnthaeltDoppelteIntAL(al));
   } // test07
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebEnthaeltDoppelteIntALJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebEnthaeltDoppelteIntALJut