// Datei UebMengenEnthaeltRJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion MengenEnthaeltR in
der Klasse UebMengenEnthaeltR
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebMengenEnthaeltRJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebMengenEnthaeltRJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      int[] r1 = {1, 2, 3, 4, 5};
      int[] r2 = {3, 1, 5, 4};
      assertTrue(UebMengenEnthaeltR.MengenEnthaeltR(r1, r2));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      int[] r1 = {1};
      int[] r2 = {1};
      assertTrue(UebMengenEnthaeltR.MengenEnthaeltR(r1, r2));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      int[] r1 = {};
      int[] r2 = {};
      assertTrue(UebMengenEnthaeltR.MengenEnthaeltR(r1, r2));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      int[] r1 = {1, 2, 3, 4};
      int[] r2 = {3, 1, 5, 4, 2};
      assertFalse(UebMengenEnthaeltR.MengenEnthaeltR(r1, r2));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      int[] r1 = {1, 2, 3, 4, 5};
      int[] r2 = {3, 1, 5, 6};
      assertFalse(UebMengenEnthaeltR.MengenEnthaeltR(r1, r2));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      int[] r1 = {1, 2, 3, 4, -5};
      int[] r2 = {3, 1, 5, 4,  2};
      assertFalse(UebMengenEnthaeltR.MengenEnthaeltR(r1, r2));
   } // test06
   // ---------------------------------------------------------------------
   public void test07() {
      int[] r1 = {1};
      int[] r2 = {3};
      assertFalse(UebMengenEnthaeltR.MengenEnthaeltR(r1, r2));
   } // test07
   // ---------------------------------------------------------------------
   public void test08() {

   } // test08
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebMengenEnthaeltRJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebMengenEnthaeltRJut
