// Datei UebStatt2A3B_RJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion Statt2A3B_R in der Klasse UebStatt2A3B_R
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse
import java.util.Arrays;

public class UebStatt2A3B_RJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebStatt2A3B_RJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      char[] orig = {'X', 'A', 'A',      'X', 'A', 'A',      'X', 'A', 'A',    };
      char[] soll = {'X', 'B', 'B', 'B', 'X', 'B', 'B', 'B', 'X', 'B', 'B', 'B'};
      char[] ist  = UebStatt2A3B_R.Statt2A3B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      char[] orig = {'A', 'X', 'A', 'A',      'X', 'A'};
      char[] soll = {'A', 'X', 'B', 'B', 'B', 'X', 'A'};
      char[] ist  = UebStatt2A3B_R.Statt2A3B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      char[] orig1 = {'A'};
      char[] soll1 = {'A'};
      char[] ist1  = UebStatt2A3B_R.Statt2A3B_R(orig1);
      assertTrue(Arrays.equals(soll1, ist1));

      char[] orig2 = {'A', 'A'};
      char[] soll2 = {'B', 'B', 'B'};
      char[] ist2  = UebStatt2A3B_R.Statt2A3B_R(orig2);
      assertTrue(Arrays.equals(soll2, ist2));

      char[] orig3 = {'A', 'A',      'A'};
      char[] soll3 = {'B', 'B', 'B', 'A'};
      char[] ist3  = UebStatt2A3B_R.Statt2A3B_R(orig3);
      assertTrue(Arrays.equals(soll3, ist3));

      char[] orig4 = {'A', 'A',      'A', 'A'};
      char[] soll4 = {'B', 'B', 'B', 'B', 'B', 'B'};
      char[] ist4  = UebStatt2A3B_R.Statt2A3B_R(orig4);
      assertTrue(Arrays.equals(soll4, ist4));

      char[] orig5 = {'A', 'A',      'A', 'A',      'A'};
      char[] soll5 = {'B', 'B', 'B', 'B', 'B', 'B', 'A'};
      char[] ist5  = UebStatt2A3B_R.Statt2A3B_R(orig5);
      assertTrue(Arrays.equals(soll5, ist5));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      char[] orig = {'X', 'X', 'X', 'X', 'X'};
      char[] soll = {'X', 'X', 'X', 'X', 'X'};
      char[] ist  = UebStatt2A3B_R.Statt2A3B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      char[] orig = {'X', 'A', 'A',      'X'};
      char[] soll = {'X', 'B', 'B', 'B', 'X'};
      char[] ist  = UebStatt2A3B_R.Statt2A3B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      char[] orig = {'X'};
      char[] soll = {'X'};
      char[] ist  = UebStatt2A3B_R.Statt2A3B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test06
   // ---------------------------------------------------------------------
   public void test07() {
      char[] orig = {};
      char[] soll = {};
      char[] ist  = UebStatt2A3B_R.Statt2A3B_R(orig);
      assertTrue(Arrays.equals(soll, ist));
   } // test07
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebStatt2A3B_RJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebStatt2A3B_RJut
